Skip to content
EN | DE

Simulate energy-based charging plan

GET
/loadpoints/{id}/plan/static/preview/energy/{energy}/{timestamp}
curl --request GET \
--url https://demo.evcc.io/api/loadpoints/1/plan/static/preview/energy/25.5/2026-04-15T12%3A00%3A00Z

Simulate charging plan based on energy goal. Does not alter the actual charging plan.

More information

id
required

Loadpoint index starting at 1.

integer
>= 1
Example
1

Loadpoint index starting at 1

energy
required

Energy in kWh

number
Example
25.5

Energy in kWh

timestamp
required

Timestamp in RFC3339 format

string format: date-time

Timestamp in RFC3339 format

Success - PlanRates result

Media typeapplication/json
object
duration

Duration in s

integer
plan
Array<object>

A time slot with an associated price or emission value.

object
start
required

Start of the time slot.

string format: date-time
end
required

End of the time slot.

string format: date-time
value
required

Price per kWh in the configured currency or emissions in g/kWh.

number
planTime

Timestamp in RFC3339 format

string format: date-time
power

Power in W

number
Example
{
"power": 2500
}